perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "BeerBong" <ale...@samara.net>
Subject Re: Authentications fails after upgrade to 1.3.22
Date Thu, 20 Dec 2001 07:18:25 GMT
> When you up grade from one version to the next
> version of apache ,U have to redo the passwd and
> user.
> 
> I had the same problem when I tried updating from
> 1.3.12 to 1.3.19-rev1,and I re-did it.
> 
> Then all where ok !,....what is the version of ur
> mod_perl.

I wrote - I upgraded it from 1.25 to 1.26

> 
> Where you using AuthGroupfile for passwd
> checking,...

Server serves many virtual hosts and other host uses this template

<Location /$dir/>
  AuthType Basic
  AuthName $realm
  AuthUserFile /usr/local/apache/conf/users_file
  AuthGroupFile /usr/local/apache/conf/groups_file
  require group $realm-$dir
</Location>


But I dont understanrd what i should do to solve my problem
 ---
Sergey "BeerBong" Polyakov
chief of WebZavod (http://www.webzavod.ru)

> 
> Lets see what the ring has to say,....
> 
> Regards,
> Anand R
> www.dsmsoft.com
> 
> 
> 
>  --- BeerBong <alexei@samara.net> wrote: > Hello
> all!
> > 
> > I use Apache::AuthenRadius for authorization - all
> > worked fine until I
> > upgrade Apache to 1.3.22 and mod_perl to 1.26
> > from Apache 1.3.19 and mod_perl 1.25
> > 
> > In config file
> >
> #######################################################
> > <IfDefine power>   # <- I use this for
> > determination which daemon processes
> > this config. I run front-end and back-end servers.
> > <VirtualHost 195.128.133.65:*>
> >    PerlPostReadRequestHandler My::ProxyRemoteAddr
> > 
> >    ServerName www.samara.net
> >    DocumentRoot /usr/web/www.samara.net/data
> > 
> >    ErrorLog /usr/web/www.samara.net/logs/ep.log
> > 
> >    Use dbi_macro
> >    Use asp_script_macro www.samara.net
> > 
> >    <Directory
> > /usr/web/www.samara.net/data/abonents/>
> >      AuthType Basic
> >      AuthName "Enter your Dialup Login and
> > Password"
> > 
> >      # authenticate via Radius
> >      PerlAuthenHandler Apache::AuthenRadius
> > 
> >      PerlSetVar Auth_Radius_host ...
> >      PerlSetVar Auth_Radius_port ...
> >      PerlSetVar Auth_Radius_secret ...
> >      PerlSetVar Auth_Radius_timeout ...
> > 
> >      Require valid-user
> >    </Directory>
> > 
> > </VirtualHost>
> > </IfDefine>
> > 
> >
> #######################################################
> > 
> > After upgrade, if I enter correct login and
> > password, I get
> > Internal Server Error and
> >
> #######################################################
> > [Tue Dec 18 16:02:52 2001] [crit] [client
> > 195.209.67.7] configuration error:
> > couldn't check access.  No groups file?:
> > /abonents/abo
> > nent.asp
> >
> #######################################################
> > in logs
> > 
> > I checked changelog for Apache and find following
> > for mod_auth:
> >   *) Enhancement of mod_auth to handle 'Require
> > file-owner' and
> >      'Require file-group'.  This allows access IFF
> > the authenticated
> >      username (from the appropriate AuthUserFile
> > database) matches
> >      the username of the UID that owns the
> > document (and equivalent
> >      checking for file GID and user's membership
> > in AuthGroupFile).
> >      See the mod_auth documentation for examples. 
> > (Not supported
> >      on Windows.)  [Ken Coar]
> > 
> > I think this enhancement is responsible for such
> > behaviour...
> > 
> > Any comments ?
> > 
> > PS: Another "improvement" is the
> > 
> >  allow from 195.128.133.110 # Greg Home   -
> > generate warning - not supported
> > comment... All was fine before 1.3.22
> > 
> > PPS: I downgrade to 1.3.19 until solve this
> > problems.
> > 
> >  ---
> > Sergey "BeerBong" Polyakov
> > chief of WebZavod (http://www.webzavod.ru)
> > 
> > 
> >  
> 
> =====
> Regards,
> 
> Anand_R,
> No:25(old no:13)Nungambakkam High Road,
> DSM Soft(P)Ltd,
> Chennai.INDIA - 600 034.
> Ph No:825 0183/825 3853/825 3835
> 
> 


Mime
View raw message